Redmine - Defect #26087

<pre></pre> with included URL is displayed wrongly
2017-06-02 07:59 - Bernhard Donaubauer

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 3.3.1
Description

If | enter this textile line
svn co https://intra.bayerwald-fenster.de/svn/intra/yucatan_conturex_anbindung/trunk conturex
in the wiki it is displayed as

svn co <a class="external" href="https://intra.bayerwald-fenster.de/svn/intra/yucatan_conturex_anbindung/trunk">
https://intra.bayerwald-fenster.de/svn/intra/yucatan_conturex_anbindung/trunk&lt;/a> conturex

on the resulting page.
BTW: If i enter a space before the

tag it is displayed as intended.

History

#1 - 2017-06-02 08:09 - Bernhard Donaubauer

Ok, here is my bug report once again, but now readable. Parts of my bug report were interpreted by Redmine as
formatting tags.

If I enter this textile line
svn co https://intra.bayerwald-fenster.de/svn/intra/yucatan_conturex_anbindung/trunk conturex
in the wiki it is displayed as

svn co <a class="external" href="https://intra.bayerwald-fenster.de/svn/intra/yucatan_conturex_anbindung/trunk
">https://intra.bayerwald-fenster.de/svn/intra/yucatan_conturex_anbindung/trunk&lt;/a> conturex

on the resulting page.

BTW: If i enter a space before the pre tag it is displayed as intended.
#2 - 2017-06-29 06:11 - Toshi MARUYAMA

- Category set to Text formatting

- Status changed from New to Needs feedback
Please explain more details.

What do you expect and result?

#3 - 2017-06-30 07:26 - Bernhard Donaubauer
- File input.png added

- File wrong.png added

- File right.png added

Ok.

| entered this at the beginning of a line:
https://intra.bayerwald-fenster.de/svn/intra/yucatan_conturex_anbindung/trunk&lt;/a

<pre=>svn co https://my.tiny.url/bla</pre>

| expected this result:

svn co H

But | got this:

svn co <a class="external" href="https://my.tiny.url/bla"=https://my.tiny.url/bla</a=

#4 - 2017-06-30 07:39 - Toshi MARUYAMA
- File pre-https.png added

| cannot reproduce on vanilla Redmine 3.3.3.
Edit
MNotes
<pre=syn co https://my.tiny.url/bla</pre=

Files

| Browse... | No files selected. (Maximum siz
| Submit | | Cancel

Notes

svn co https://my.tiny.url/bla

#5 - 2017-06-30 10:04 - Bernhard Donaubauer

Hm?
Obviously this problem does not exists more recent version or one of the plugins causes this problem.

Should we close this ticket or do some further investigations?

#6 - 2017-07-18 18:46 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed
Please reopen if you have problem on recent version vanilla Redmine.

#7 - 2017-07-18 18:46 - Toshi MARUYAMA
https://www.redmine.org/versions/125

- Resolution set to Invalid

Files

input.png 3.5 KB 2017-06-30 Bernhard Donaubauer
wrong.png 7.25 KB 2017-06-30 Bernhard Donaubauer
right.png 7.33 KB 2017-06-30 Bernhard Donaubauer
pre-https.png 18.8 KB 2017-06-30 Toshi MARUYAMA

2024-04-23

3/3


http://www.tcpdf.org

